> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/search/backend/snowflake.md).

# Snowflake

## 개요

Panther는 다음을 사용하는 것을 지원합니다. [Snowflake](https://www.snowflake.com) 를 데이터 레이크 백엔드로 사용하여 데이터를 저장하고 검색합니다.

Panther를 Snowflake와 통합하면 Panther 데이터를 비즈니스 인텔리전스 도구에서 사용하여 운영에 맞춘 대시보드를 만들 수 있습니다. 또한 Panther 데이터(예: Panther 알림)를 비즈니스 데이터와 결합하여 조직에 대한 보안 태세를 평가할 수 있습니다. 예를 들어 조직 부문(예: 인사)별 또는 인프라(예: 개발, 테스트, 운영)별로 알림을 집계할 수 있습니다.

Snowflake 인스턴스는 [SaaS](/ko/system-configuration/panther-deployment-types/saas.md) 또는 [Cloud Connected](/ko/system-configuration/panther-deployment-types/cloud-connected.md)로 구성할 수 있습니다. Panther가 관리형 Snowflake 인스턴스를 구성하는 방법(또는 직접 구성한 인스턴스를 구성하는 방법에 대한 권장 사항)을 [최적의 검색 성능을 위한 Snowflake 구성](/ko/search/backend/snowflake/configuration.md)에서 알아보세요. 다음 사항에 유의하세요. [일부 Panther 기능은 Snowflake Enterprise Edition 이상에서만 사용할 수 있습니다.](/ko/search/backend/snowflake/configuration.md#panther-features-requiring-snowflake-enterprise-or-higher).

Panther는 [Snowpipe](https://docs.snowflake.com/en/user-guide/data-load-snowpipe-intro.html) 를 사용하여 데이터를 Snowflake 클러스터로 복사합니다.

## Panther에서 추가 데이터 세트 사용

Panther는 `panther_readonly` Snowflake 사용자를 사용하여 Snowflake의 데이터를 쿼리합니다. 기본적으로 이 사용자의 역할은 `panther_readonly_role` 에는 panther 데이터베이스의 데이터에 액세스할 수 있도록 최소한의 권한만 부여됩니다. 그러나 기존에 보유한 데이터 세트(예: 인사 데이터, 사내 또는 벤더 제공 허용 목록/차단 목록)를 [Data Explorer](/ko/search/data-explorer.md) 쿼리에 추가하고 싶다면 다음과 같은 문을 사용하여 해당 데이터에 역할이 접근할 수 있도록 설정할 수 있습니다.

```sql
GRANT USAGE
  DATABASE my_database_name에 대해
  TO ROLE panther_readonly_role;
GRANT USAGE
  SCHEMA my_database_name.my_schema_name에 대해
  TO ROLE panther_readonly_role;
GRANT SELECT
  TABLE my_database_name.my_schema_name.my_table_name에 대해
  TO ROLE panther_readonly_role;
```

새로 부여된 데이터베이스, 스키마, 테이블은 *이 아니라* Panther 사이드바에 표시되지만, 일반 SQL을 사용하여 접근할 수 있습니다.

## Snowflake 상태 모니터링

Panther는 다음에 대해 Snowflake에서 상태 점검을 수행합니다. [파일 로딩](#file-loading-into-snowflake) 그리고 [스테이지 및 Snowpipe 상태](#stage-and-snowpipe-health). 기본적으로 Panther는 이 점검을 3시간마다(또는 180분마다) 실행합니다.

### Snowflake로의 파일 로딩

Snowflake의 [COPY\_HISTORY() 함수](https://docs.snowflake.com/en/sql-reference/functions/copy_history)를 사용하여 Panther는 로딩 오류를 검사하기 위해 Panther 소유 데이터베이스 테이블에 추가된 파일을 모니터링합니다. 오류는 드물지만, 발견되면 즉시 Panther 담당자에게 에스컬레이션됩니다. 이 경우 Panther 담당자는 문제를 해결하고 데이터를 수동으로 다시 스테이징하여 Snowflake 계정에 성공적으로 로드될 수 있도록 합니다.

### **스테이지 및 Snowpipe 상태**

Panther는 다음에 사용되는 모든 [외부 스테이지](https://docs.snowflake.com/en/user-guide/data-load-s3) 그리고 [Snowpipe](https://docs.snowflake.com/en/user-guide/data-load-snowpipe-intro) 를 관리합니다. 이는 S3 버킷의 데이터를 Snowflake 테이블로 로드하는 과정에서 사용됩니다. 만약 [의 출력에 `SYSTEM$PIPE_STATUS` 함수](https://docs.snowflake.com/en/sql-reference/functions/system_pipe_status#output) 가 Snowpipe의 `executionState` 가 `RUNNING`이 아닌 것으로 나타나면, Panther는 다음 조치 중 하나 이상을 수행하여 파이프를 자동으로 수정하려고 시도합니다.

* 영향받은 파이프 다시 생성
* 기반 스테이지 다시 생성
* 파이프 새로 고침

대부분의 경우, 위의 단계로 파이프가 수정되면 데이터를 수동으로 다시 로드할 필요가 없습니다. (Panther는 [파일 로드 메타데이터](https://docs.snowflake.com/en/user-guide/data-load-snowpipe-intro#load-history) 에서 이를 확인합니다.) 복사 실패와 마찬가지로 모든 스테이지 및 파이프 실패는 Panther 담당자에게 보고되며, 담당자는 수정이 필요한지 모니터링합니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/search/backend/snowflake.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
